Variable or member variable declaration

SYNOPSIS

pi_id | pi_variable(pi_data *);

PARAMETER

pi_data.from: | start variable name
pi_data.to: | end variable name
pi_data.name: | variable name
pi_data.flags: | (PI_PUBLIC | PI_PROTECTED | PI_PRIVATE), PI_STATIC, PI_CONST
pi_data.type: | variable type
pi_data.related: | pi_id of class including the variable as member
| Default: previous class not terminated or global scope if no non-terminated class found

DESCRIPTION
This function must be called whenever the parser detects a variable or member variable declaration in the source file. The declared variable is a member variable if the function pi_variable() is called inside a class declaration (between pi_start_class() and pi_end_class()).
C/C++ example
static char ch; // ch is a variable of data type char
SNiFF+ Fuzzy Parser action

pi_data.from: | points to first character of " ch "
pi_data.to: | points to last character of " ch "
pi_data.name: | " ch "
pi_data.flags: | PI_STATIC
pi_data.type: | char

SNiFF+ usage
highlighted in Source Editor, listed in the Symbol Browser